<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/FSM/weapon_utils.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d44/weapon__utils_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">weapon_utils.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d44/weapon__utils_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a74f42313b991e8c2b3128abc54646bfc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d44/weapon__utils_8c.html#a74f42313b991e8c2b3128abc54646bfc">pushToChamberFromAttachedMagazine</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> weapon, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex)</td></tr>
<tr class="separator:a74f42313b991e8c2b3128abc54646bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d056bc1c397d13bb47b46ab4d31766"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d44/weapon__utils_8c.html#a04d056bc1c397d13bb47b46ab4d31766">pushToChamberFromInnerMagazine</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> weapon, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex)</td></tr>
<tr class="separator:a04d056bc1c397d13bb47b46ab4d31766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a9fd6099779d8aeb52daba7dfbea14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d44/weapon__utils_8c.html#a49a9fd6099779d8aeb52daba7dfbea14">ejectBulletAndStoreInMagazine</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> weapon, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex, Magazine mag, DayZPlayer p)</td></tr>
<tr class="separator:a49a9fd6099779d8aeb52daba7dfbea14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a159dd547834260b1c9dcbd8a51fa6459"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d44/weapon__utils_8c.html#a159dd547834260b1c9dcbd8a51fa6459">magazinesHaveEqualSizes</a> (notnull Magazine mag, notnull Magazine mag2)</td></tr>
<tr class="separator:a159dd547834260b1c9dcbd8a51fa6459"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a49a9fd6099779d8aeb52daba7dfbea14" name="a49a9fd6099779d8aeb52daba7dfbea14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49a9fd6099779d8aeb52daba7dfbea14">&#9670;&#160;</a></span>ejectBulletAndStoreInMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ejectBulletAndStoreInMagazine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>weapon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>mag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d44/weapon__utils_8c_source.html#l00057">57</a> of file <a class="el" href="../../d5/d44/weapon__utils_8c_source.html">weapon_utils.c</a>.</p>

</div>
</div>
<a id="a159dd547834260b1c9dcbd8a51fa6459" name="a159dd547834260b1c9dcbd8a51fa6459"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a159dd547834260b1c9dcbd8a51fa6459">&#9670;&#160;</a></span>magazinesHaveEqualSizes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> magazinesHaveEqualSizes </td>
          <td>(</td>
          <td class="paramtype">notnull Magazine&#160;</td>
          <td class="paramname"><em>mag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull Magazine&#160;</td>
          <td class="paramname"><em>mag2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d44/weapon__utils_8c_source.html#l00095">95</a> of file <a class="el" href="../../d5/d44/weapon__utils_8c_source.html">weapon_utils.c</a>.</p>

</div>
</div>
<a id="a74f42313b991e8c2b3128abc54646bfc" name="a74f42313b991e8c2b3128abc54646bfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74f42313b991e8c2b3128abc54646bfc">&#9670;&#160;</a></span>pushToChamberFromAttachedMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> pushToChamberFromAttachedMagazine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>weapon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d44/weapon__utils_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d44/weapon__utils_8c_source.html">weapon_utils.c</a>.</p>

</div>
</div>
<a id="a04d056bc1c397d13bb47b46ab4d31766" name="a04d056bc1c397d13bb47b46ab4d31766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d056bc1c397d13bb47b46ab4d31766">&#9670;&#160;</a></span>pushToChamberFromInnerMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> pushToChamberFromInnerMagazine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>weapon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d44/weapon__utils_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/d44/weapon__utils_8c_source.html">weapon_utils.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_372752df6a93f8a8dc049f875df777d6.html">FSM</a></li><li class="navelem"><a class="el" href="../../d5/d44/weapon__utils_8c.html">weapon_utils.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
